@import url("https://fonts.googleapis.com/css2?family=Castoro+Titling&family=El+Messiri:wght@400..700&display=swap");

/* =====Main code===== */
:root {
  --background: #ece7e2;
  --main-color-A: #65bdb2;
  --main-color-B: #13547a;
  --text-color: #888888;
  --colorB: #3f220963;
  --main-font: "El Messiri", sans-serif;
}
* {
  margin: 0;
  padding: 0;
  font-family: var(--main-font);
}
body {
  background: #00ff2a1c;
}
ul {
  display: flex;
}
li {
  list-style: none;
}
/* a {
  text-decoration: none;
  color: white;
} */
.conection {
  position: fixed;
  z-index: 3;
  bottom: 30px;
  left: 10px;
}
.conection button {
  align-items: center;
  width: 40px;
  height: 40px;
  font-size: 20px;
  margin: 5px;
  padding: 7px;
  font-weight: 600;
  border: none;
  border-radius: 50%;
  background-color: rgb(5, 175, 5);
  color: black;
  transition: 0.5s;
}
.conection button:hover {
  width: 43px;
  height: 43px;
  background-color: rgb(0, 255, 0);
  font-size: 24px;
  box-shadow: rgb(0, 255, 0) 1px 1px 20px;
}
/* =======Main code====== */
/* ==========HEADER========== */
/* ======NAVIGATION====== */
.toggle {
  position: fixed;
  top: 1%;
  right: 1%;
  display: block;
  text-align: end;
  padding: 10px;
  color: #c8ffcb;
  font-size: 40px;
  cursor: pointer;
  transition: 1s;
  transition: scale 0.2 ease;
  text-shadow: #38375f 1px 1px 3px;
}
.toggle:hover {
  scale: 1;
  color: rgb(5, 175, 5);
}
.toggle:active {
  scale: 0.95;
}

/* ==========DROPDOWIN MENU========= */
.dropdowin {
  z-index: 3;
  position: fixed;
  right: 32px;
  top: 80px;
  height: 0;
  width: 300px;
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(15px);
  border-radius: 10px;
  overflow: hidden;
  transition: height 0.2s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}
.dropdowin.open {
  height: 330px;
}
.dropdowin li a {
  padding-top: 20px;
  color: rgb(216, 255, 216);
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 600;
  font-size: 20px;
  transition: 0.4s;
}
.dropdowin .active {
  font-size: 22px;
  color: #1eff00;
  text-shadow: #1eff00 1px 1px 20px;
  border-right: solid 1px;
}

/* ==============HOVER============== */
.dropdowin li a:hover {
  font-size: 23px;
  color: #1eff00;
  text-shadow: #1eff00 1px 1px 20px;
  border-right: solid 1px;
}

/* ==========END DROPDOWN============= */
/* ===========START HEADER============ */
header {
  width: 100%;
  height: 90vh;
  background-repeat: no-repeat;
  background-size: cover;
  background-image:
    linear-gradient(rgba(0, 5, 34, 0.836), rgba(0, 65, 14, 0.705)),
    url(/img/bg.png);
  border-radius: 0 0 50px 50px;
}

.all2 {
  width: 100%;
  display: flex;
  justify-content: space-between;
  direction: ltr;
}
.logo {
  width: 70%;
  text-align: center;
  margin-top: 40px;
}
.logo img {
  margin: auto;
  width: 500px;
  filter: drop-shadow(#ffffff 2px 2px 0px);
}
/* .hero p {
  font-size: 13px;
  margin: 20px;
  color: aliceblue;
  line-height: 2;
} */

.call {
  width: 50%;
  text-align: center;
  margin-top: 200px;
  font-size: 45px;
}
.icon a {
  font-size: 7px;
  color: #c8ffcb;
  text-decoration: none;
}
.call .icon a i {
  font-size: 40px;
  margin: 10px;
  transition: 0.2s;
  color: aliceblue;
}
.call .icon a:hover {
  i {
    font-size: 45px;
    margin-top: -15px;
    color: rgb(5, 175, 5);
  }
  color: rgb(5, 175, 5);
}
.call button {
  align-items: center;
  height: 50px;
  font-size: 22px;
  font-weight: 600;
  border: none;
  border-radius: 40px;
  background-color: rgb(5, 175, 5);
  color: black;
  transition: 0.8s;
  width: 250px;
}
.call button i {
  font-size: 25px;
  margin-top: 10px;
}
.call button:hover {
  width: 260px;
  background-color: rgb(0, 255, 0);
  font-size: 24px;
  box-shadow: rgb(0, 255, 0) 1px 1px 20px;
}

/* ==================End Header=============== */
/* ==================start all-repair=============== */
.all-repair {
  width: 100%;
}
.clean {
  width: 100%;
  margin-top: 130px;
  background-image: linear-gradient(to bottom left, #ffffff00 50%, #078d0e 50%);
}
.move {
  width: 100%;
  padding-top: 20px;
  background-image: linear-gradient(to bottom left, #078d0e 50%, #ffffff00 50%);
}
.all-move {
  width: 80%;
  margin: auto;
}
.all-clean {
  width: 80%;
  display: flex;
  justify-content: space-between;
  margin: auto;
}
.all-repair h1,
.clean h1,
.move h1,
.conect h1 {
  margin: 80px 0 50px;
  text-align: center;
  font-weight: 900;
  color: #38375f;
}
.all-repair .re1 {
  width: 80%;
  display: flex;
  justify-content: space-around;
  margin: -80px auto;
}
.all-repair .re1 img {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  box-shadow: #888888 3px 3px 9px;
}
.all-clean img {
  width: 350px;
  height: 350px;
  border-radius: 50%;
  box-shadow: #888888 3px 3px 9px;
}
.all-move .imgs {
  width: 100%;
  text-align: center;
  margin: 50px auto;
  display: flex;
  justify-content: space-around;
}
.all-move img {
  /* margin: 0 90px; */
  width: 250px;
  height: 250px;
  border-radius: 50%;
  box-shadow: #888888 3px 3px 9px;
}
.all-repair .re1 h5,
.all-clean h5 {
  padding: 100px;
  direction: rtl;
}
.all-move .text {
  font-size: larger;
  text-align: center;
  width: 80%;
  margin: auto;
  line-height: 2;
}

.all-conect {
  width: 80%;
  margin: auto;
  display: flex;
  justify-content: space-around;
  font-size: 30px;
}
/* ===========Who We============== */

nav a {
  color: #078d0e;
  font-size: 50px;
  margin: 20px;
  transition: 0.5s;
}
nav a:hover {
  color: #1eff00;
}
.head-we {
  width: 100%;
  text-align: center;
}
.head-we img {
  width: 50%;
}
.head-we p {
  width: 90%;
  margin: auto;
}
.infinit {
  background-color: white;
  border-radius: 30px;
  border: #078d0e50 solid 1px;
  display: flex;
  width: 80%;
  margin: auto;
  padding: 20px;
  justify-content: space-around;
}
.infinit img {
  width: 200px;
  border-radius: 30px;
  box-shadow: #888888 3px 3px 9px;
}

footer {
  padding: 10px 30px;
  background-color: #000000e3;
  margin: 50px 0 0 0;
  color: #ffffff4d;
}
footer .all-footer {
  display: flex;
  width: 80%;
  margin: auto;
  justify-content: space-between;
}
.conFooter a,
.me a {
  color: #ffffff4d;
}
.conFooter a:hover,
.me a:hover {
  color: #001aff4d;
}

/* ================= */
/* ================= */
/* ================= */
/* ================= */
/* ================= */
/* ================= */
/* ================= */
/* ================= */
/* ================= */
/* ================= */
/* RESPONSIVE DESIGN */

@media (max-width: 1080px) {
  /* .dropdowin {
    left: 32px;
    width: unset;
  } */
  .options-topic {
    justify-content: space-around;
    width: 100%;
  }

  .dropdowin {
    width: unset;
    left: 32px;
    top: 60px;
    background: rgba(0, 0, 0, 0.404);
  }
  .dropdowin.open {
    height: 270px;
  }
  .dropdowin li a {
    padding-top: 15px;
    font-weight: 400;
    font-size: 18px;
  }
  .dropdowin li a:hover {
    font-size: 18px;
    border-right: solid 1px;
  }

  /* =============header==================== */
  header {
    height: 50vh;
  }
  .all2 {
    display: contents;
    justify-content: center;
    text-align: center;
  }
  .call,
  .logo {
    width: 100%;
    text-align: center;
    margin: 0;
  }
  .logo img {
    width: 180px;
    z-index: -1;
    margin: 40px 0 0;
  }

  /* .hero p {
    font-size: 7px;
    margin: 0 20px;
    color: aliceblue;
    line-height: 1.3;
  } */
  /* ================================== */
  .icon {
    display: flex;
    justify-content: space-around;
    margin: 0 70px;
    height: 35px;
  }
  .icon a {
    font-size: 10px;
    color: #c8ffcb;
    text-decoration: none;
  }
  .call .btns a {
    height: 20px;
    display: contents;
  }
  .call .icon a i {
    font-size: 25px;
    margin: 0;
    /* justify-content: space-between; */
  }
  .call button {
    width: 40%;
    height: 30px;
    font-size: 10px;
  }
  .call button:hover {
    background-color: rgb(0, 255, 0);
    font-size: 15px;
    width: 120px;
  }

  .call .btns {
    width: 80%;
    height: 30px;
    margin: 0px auto;
    padding: 40px 0px;
    display: flex;
    justify-content: space-around;
  }
  .call button i {
    font-size: 10px;
    margin-top: 3px;
  }
  .call .icon a:hover {
    i {
      font-size: 30px;
      margin-top: 0px;
    }
  }

  /* ============================================ */

  .all-repair h1,
  .clean h1 {
    margin: 80px 0 50px;
  }
  .all-repair .re1,
  .all-clean,
  .all-move {
    width: 90%;
    margin: 0 auto;
  }
  .all-clean img {
    width: 150px;
    height: 150px;
  }
  .all-repair .re1 img {
    width: 140px;
    height: 130px;
  }
  .all-move .imgs {
    width: 100%;
    text-align: center;
    margin: 50px auto;
    display: flex;
    justify-content: space-around;
  }
  .all-move img {
    /* margin: 0 90px; */
    width: 100px;
    height: 100px;
    border-radius: 50%;
    box-shadow: #888888 3px 3px 9px;
  }
  .all-clean h5,
  .all-move h5 {
    padding: 8px;
    font-size: 13px;
    line-height: 1.6;
  }
  .all-repair .re1 h5 {
    padding: 10px;
    direction: rtl;
    font-size: medium;
  }
  .all-conect {
    justify-content: space-around;
    font-size: 15px;
  }
  .all-conect .links {
    font-size: 10px;
  }

  /* ======================all who we===================== */
  nav a {
    font-size: 40px;
  }

  .head-we img {
    width: 150px;
  }
  .head-we p {
    font-size: 10px;
    margin: 10px auto;
  }
  .infinit {
    border-radius: 20px;
    padding: 10px 5px;
    justify-content: space-between;
  }
  .infinit img {
    width: 23%;
    border-radius: 20px;
    box-shadow: #888888 1px 1px 9px;
  }

  /* ================= */
  /* ================= */
  /* ================= */
  footer {
    padding: 5px 0px;
  }
  footer .all-footer {
    width: 90%;
  }
  .conFooter a {
    font-size: 10px;
    color: #ffffff4d;
  }
  .me h4 {
    font-size: 15px;
  }
  .me h6 {
    font-size: 9px;
  }
}
